package classes.holonControlUnit.messages;

import java.util.ArrayList;

import classes.holonControlUnit.StateEstimator.StateIndicator;

public class StateMsg {

	private float powerUsage;
	private float netThroughput;
	private ArrayList<Float> predictedPowerUsage;
	private StateIndicator stateInd;

	public StateMsg(float powerUsage, float netThroughput, ArrayList<Float> predictedPowerUsage, StateIndicator stateInd) {
		super();
		this.powerUsage = powerUsage;
		this.netThroughput = netThroughput;
		this.predictedPowerUsage = predictedPowerUsage;
		this.stateInd = stateInd;
	}

	public float getPowerUsage() {
		return powerUsage;
	}

	public ArrayList<Float> getPredictedPowerUsage() {
		return predictedPowerUsage;
	}

	public float getNetThroughput() {
		return netThroughput;
	}

	public StateIndicator getStateInd() {
		return stateInd;
	}

	@Override
	public String toString() {
		return "StateMsg [powerUsage=" + powerUsage + ", netThroughput=" + netThroughput + ", predictedPowerUsage="
				+ predictedPowerUsage + ", stateInd=" + stateInd + "]";
	}
	
}
